{
	saved_HasWeapon[0]
	saved_anim_deathStandFwd [17]
	saved_pathRed[0]
	saved_pathRedEnd[9]
	saved_pathGreen[1]
	saved_pathGreenEnd[10]
	saved_pathBlue[2]
	saved_pathBlueEnd[9]

	saved_firstTime [1]

	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(3);
			SetRunning();
			PlayAnimation(8);

			GetsWeapon = 0;
			if( Level.saved_ArmedMates = 0 )
			{
				Level.saved_ArmedMates = (Level.saved_ArmedMates + 1);
				GetsWeapon = 1;
			}else{
				GetsWeapon = Random(0,1);
			}
			if( GetsWeapon = 1 )
			{
				Level.saved_ArmedMates = (Level.saved_ArmedMates + 1);
				GiveWeapon(60);
				DropWeaponOnDeath( true );
				saved_HasWeapon = 1;
			}

			saved_pathRedEnd = Random(1,3);
			saved_pathGreenEnd = Random(1,3);
			saved_pathBlueEnd = Random(1,3);

			Delay(1,1);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			if( Level.saved_Onslaught = 1)
			{
				Level.GetPlayer().SetFrozen( false );
				Delay( Random(0,4), 5);
			}else{
				Delay(1,1);
			}
		}

		if( dy=5 )
		{
			if( self.saved_HasWeapon = 1 )
			{
				PlayAnimation(1);
			}else{
				SetRunningAnim(32);
				PlayAnimation(32);
			}

			FollowPathInRange( 5,0 );
		}
	}]

	PathNodeReached[ (id, nodeId)
	{
		if( id=saved_pathRed ){if( nodeId=saved_pathRedEnd ){ FakeKill(); }}
		if( id=saved_pathBlue ){if( nodeId = saved_pathBlueEnd ){ FakeKill(); }}
		if( id=saved_pathGreen ){if( nodeId=saved_pathGreenEnd ){ FakeKill(); }}
	}]

	FakeKill[ ()
	{
		StopFollowingPath();
		PlaySound(9,100,true);
		PlayAnimation(saved_anim_deathStandFwd,127,0);

		if( self.saved_HasWeapon = 1 )
		{
			xPos = self.GetPositionX();
			yPos = self.GetPositionY();
			zPos = self.GetPositionZ();
			zPos = toInt(zPos + 64); //old offset:  325
			Level.CreateEntity(96,xPos,yPos,zPos);
		}

		SetDead( true, Random(2,5) );
	}]
}